Genymotion Center

You’ll notice that Genymotion does not come with Google services (Store, Sync, etc) when running it for the first time. That sucks. There’s a fix.

You’ll need this. It makes Google Play Store work. I can confirm that it worked on 4.4 and 5.0. It’s the ARM Translator.

You’ll also need GApps for your OS level. Running 5.1? Get the 5.1 GApps. Running 5.0? Get the 5.0 version. Etc, etc. There used to be a thread that had always kept the latest flashable GApps for a lot of versions on XDA, but the owner decided he couldn’t continue it and took the thread down. But that’s okay, there’s still some floating around. Search “gapps {your version here}” for your download.

Alright. You’ve got the ARM Translator, and you’ve got a GApps download. Both should be zips, by the way. You’re going to flash them by dragging and dropping them. The order in which you drag and drop is important.

  1. Drag and drop the ARM Translator. Let it flash. Reboot when asked to. (You could reboot by closing the emulator window, or by using ADB, or by holding the power button of the emulator, etc)
  2. Drag and drop the GApps kit. Let it flash. Reboot when asked to.
  3. ???
  4. Profit

At this point, you should have GApps running on a Genymotion emulator. Sign into Google, and you should be able to use the Play Store.

Advertisements